GetImage

GET/media/v1/images/{image_id}

Path Parameters

image_id*image_id

The image_id path parameter.

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/images.v1.GetImageResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "image": {
        "allOf": [
          {
            "$ref": "#/components/schemas/images.v1.Image",
            "$ref-value": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "examples": [
                    "LmNoPqR678"
                  ],
                  "title": "id"
                },
                "width": {
                  "type": "integer",
                  "examples": [
                    "1080"
                  ],
                  "title": "width",
                  "format": "int32"
                },
                "height": {
                  "type": "integer",
                  "examples": [
                    "1080"
                  ],
                  "title": "height",
                  "format": "int32"
                },
                "thumbhash": {
                  "type": "string",
                  "examples": [
                    "1QcSHQRnh493V4dIh4eXh1h4kJUI"
                  ],
                  "title": "thumbhash"
                },
                "attached_to_video": {
                  "type": "boolean",
                  "examples": [
                    "true"
                  ],
                  "title": "attached_to_video"
                },
                "file": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/common.v1.File",
                      "$ref-value": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "examples": [
                              "FpvLwyDMqu"
                            ],
                            "title": "id"
                          },
                          "project_id": {
                            "type": "string",
                            "examples": [
                              "Bq4y3QB38S"
                            ],
                            "title": "project_id"
                          },
                          "format": {
                            "type": "string",
                            "examples": [
                              "avif"
                            ],
                            "title": "format",
                            "description": "format describes the artifact currently served at url, not the uploaded source,\n and is only meaningful once status is FILE_STATUS_READY. Video flips from \"mp4\"\n to \"hls\" when packaging completes; that is the only signal for choosing a\n progressive player over an HLS one. Known values: jpg, png, webp, avif, gif,\n mp4, hls, srt, vtt."
                          },
                          "url": {
                            "type": "string",
                            "examples": [
                              "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
                            ],
                            "title": "url"
                          },
                          "name": {
                            "type": "string",
                            "examples": [
                              "original.jpeg"
                            ],
                            "title": "name",
                            "maxLength": 64
                          },
                          "size": {
                            "type": "string",
                            "examples": [
                              "1048576"
                            ],
                            "title": "size",
                            "format": "int64",
                            "description": "size is the uploaded source's byte size for usage accounting; it is not updated\n when packaging replaces the artifact, so it does not describe the object at url."
                          },
                          "status": {
                            "allOf": [
                              {
                                "$ref": "#/components/schemas/common.v1.FileStatus",
                                "$ref-value": {
                                  "type": "string",
                                  "title": "FileStatus",
                                  "enum": [
                                    "FILE_STATUS_UNSPECIFIED",
                                    "FILE_STATUS_UPLOADING",
                                    "FILE_STATUS_UPLOADED",
                                    "FILE_STATUS_PROCESSING",
                                    "FILE_STATUS_PREPARING",
                                    "FILE_STATUS_READY",
                                    "FILE_STATUS_ERROR"
                                  ]
                                }
                              }
                            ],
                            "examples": [
                              "FILE_STATUS_READY"
                            ],
                            "title": "status"
                          },
                          "created_at": {
                            "allOf": [
                              {
                                "$ref": "#/components/schemas/google.protobuf.Timestamp",
                                "$ref-value": {
                                  "type": "string",
                                  "examples": [
                                    "2023-01-15T01:30:15.01Z",
                                    "2024-12-25T12:00:00Z"
                                  ],
                                  "format": "date-time",
                                  "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                                }
                              }
                            ],
                            "examples": [
                              "2026-01-15T10:30:00Z"
                            ],
                            "title": "created_at"
                          },
                          "updated_at": {
                            "allOf": [
                              {
                                "$ref": "#/components/schemas/google.protobuf.Timestamp",
                                "$ref-value": {
                                  "type": "string",
                                  "examples": [
                                    "2023-01-15T01:30:15.01Z",
                                    "2024-12-25T12:00:00Z"
                                  ],
                                  "format": "date-time",
                                  "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                                }
                              }
                            ],
                            "examples": [
                              "2026-01-15T10:30:00Z"
                            ],
                            "title": "updated_at"
                          }
                        },
                        "title": "File",
                        "additionalProperties": false
                      }
                    }
                  ],
                  "title": "file"
                },
                "visibility": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/common.v1.Visibility",
                      "$ref-value": {
                        "type": "string",
                        "title": "Visibility",
                        "enum": [
                          "VISIBILITY_UNSPECIFIED",
                          "VISIBILITY_PUBLIC",
                          "VISIBILITY_UNLISTED",
                          "VISIBILITY_PRIVATE"
                        ]
                      }
                    }
                  ],
                  "examples": [
                    "VISIBILITY_PUBLIC"
                  ],
                  "title": "visibility"
                }
              },
              "title": "Image",
              "additionalProperties": false
            }
          }
        ],
        "title": "image"
      }
    },
    "title": "GetImageResponse",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/media/v1/images/LmNoPqR678"

Success

application/json

{
  "$ref": "#/components/schemas/images.v1.GetImageResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "image": {
        "allOf": [
          {
            "$ref": "#/components/schemas/images.v1.Image",
            "$ref-value": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "examples": [
                    "LmNoPqR678"
                  ],
                  "title": "id"
                },
                "width": {
                  "type": "integer",
                  "examples": [
                    "1080"
                  ],
                  "title": "width",
                  "format": "int32"
                },
                "height": {
                  "type": "integer",
                  "examples": [
                    "1080"
                  ],
                  "title": "height",
                  "format": "int32"
                },
                "thumbhash": {
                  "type": "string",
                  "examples": [
                    "1QcSHQRnh493V4dIh4eXh1h4kJUI"
                  ],
                  "title": "thumbhash"
                },
                "attached_to_video": {
                  "type": "boolean",
                  "examples": [
                    "true"
                  ],
                  "title": "attached_to_video"
                },
                "file": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/common.v1.File",
                      "$ref-value": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "examples": [
                              "FpvLwyDMqu"
                            ],
                            "title": "id"
                          },
                          "project_id": {
                            "type": "string",
                            "examples": [
                              "Bq4y3QB38S"
                            ],
                            "title": "project_id"
                          },
                          "format": {
                            "type": "string",
                            "examples": [
                              "avif"
                            ],
                            "title": "format",
                            "description": "format describes the artifact currently served at url, not the uploaded source,\n and is only meaningful once status is FILE_STATUS_READY. Video flips from \"mp4\"\n to \"hls\" when packaging completes; that is the only signal for choosing a\n progressive player over an HLS one. Known values: jpg, png, webp, avif, gif,\n mp4, hls, srt, vtt."
                          },
                          "url": {
                            "type": "string",
                            "examples": [
                              "https://images.rixl.com/Bq4y3QB38S/FpvLwyDMqu"
                            ],
                            "title": "url"
                          },
                          "name": {
                            "type": "string",
                            "examples": [
                              "original.jpeg"
                            ],
                            "title": "name",
                            "maxLength": 64
                          },
                          "size": {
                            "type": "string",
                            "examples": [
                              "1048576"
                            ],
                            "title": "size",
                            "format": "int64",
                            "description": "size is the uploaded source's byte size for usage accounting; it is not updated\n when packaging replaces the artifact, so it does not describe the object at url."
                          },
                          "status": {
                            "allOf": [
                              {
                                "$ref": "#/components/schemas/common.v1.FileStatus",
                                "$ref-value": {
                                  "type": "string",
                                  "title": "FileStatus",
                                  "enum": [
                                    "FILE_STATUS_UNSPECIFIED",
                                    "FILE_STATUS_UPLOADING",
                                    "FILE_STATUS_UPLOADED",
                                    "FILE_STATUS_PROCESSING",
                                    "FILE_STATUS_PREPARING",
                                    "FILE_STATUS_READY",
                                    "FILE_STATUS_ERROR"
                                  ]
                                }
                              }
                            ],
                            "examples": [
                              "FILE_STATUS_READY"
                            ],
                            "title": "status"
                          },
                          "created_at": {
                            "allOf": [
                              {
                                "$ref": "#/components/schemas/google.protobuf.Timestamp",
                                "$ref-value": {
                                  "type": "string",
                                  "examples": [
                                    "2023-01-15T01:30:15.01Z",
                                    "2024-12-25T12:00:00Z"
                                  ],
                                  "format": "date-time",
                                  "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                                }
                              }
                            ],
                            "examples": [
                              "2026-01-15T10:30:00Z"
                            ],
                            "title": "created_at"
                          },
                          "updated_at": {
                            "allOf": [
                              {
                                "$ref": "#/components/schemas/google.protobuf.Timestamp",
                                "$ref-value": {
                                  "type": "string",
                                  "examples": [
                                    "2023-01-15T01:30:15.01Z",
                                    "2024-12-25T12:00:00Z"
                                  ],
                                  "format": "date-time",
                                  "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                                }
                              }
                            ],
                            "examples": [
                              "2026-01-15T10:30:00Z"
                            ],
                            "title": "updated_at"
                          }
                        },
                        "title": "File",
                        "additionalProperties": false
                      }
                    }
                  ],
                  "title": "file"
                },
                "visibility": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/common.v1.Visibility",
                      "$ref-value": {
                        "type": "string",
                        "title": "Visibility",
                        "enum": [
                          "VISIBILITY_UNSPECIFIED",
                          "VISIBILITY_PUBLIC",
                          "VISIBILITY_UNLISTED",
                          "VISIBILITY_PRIVATE"
                        ]
                      }
                    }
                  ],
                  "examples": [
                    "VISIBILITY_PUBLIC"
                  ],
                  "title": "visibility"
                }
              },
              "title": "Image",
              "additionalProperties": false
            }
          }
        ],
        "title": "image"
      }
    },
    "title": "GetImageResponse",
    "additionalProperties": false
  }
}